Subject: Setup.exe repeats downloads
From: "Cliff Hones" <[email-masked]>
To: <[email-masked]>
Cc: "Cliff Hones \(Henley\)" <[email-masked]>
Date: Wed, 20 Mar 2002 14:09:07 -0000

The new (2.194.2.15) setup.exe is not behaving as I would
expect.  In brief, it re-downloads the same
packages each time it is run.  Details below.
Am I misunderstanding or is this a bug?

Environment:
NT4SP6a with fresh Cygwin install made on 15th March (with
previous setup.exe).  This install was done in two
stages - download from internet then install from local
directory.  Several optional packages were selected, and
latest (non-Exp) versions were selected for each package.

Actions:

1)
In "Download from Internet" mode, I change the view to "Full",
and Setup offers to download several updated packages.  The
selection seems fine - they correspond with recent package
update announcements since 15th March.  I don't make any changes,
to the offered selections, click Next, and the download proceeds.
Examining the results all looks ok - the new packages and new
setup.ini have been added under a new directory corresponding to
the mirror I chose (programming.ccp14.ac.uk).  The directory name
is a horror
(http%3a%2fprogramming.ccp14.ac.uk%2fftp-mirror%2f
 programming%2fcygwin%2fpub%2fcygwin)
but no matter.

2)
I repeat (1) as before.  Same settings and same mirror.
I am expecting that it will notice the downloads just done,
and offer no further updates.  But it offers exactly the same
set (reporting that I still have the earlier versions), and downloads
them again (to the same subdirectory).

3)
I now try to install from my local directory, but setup.exe
reports "This setup.ini is older than the one you used last
time you installed Cygwin.  Proceed anyway?"  Being cautious,
I say No, and check the setup.ini files.  I find the one from
my original download in the top-level directory dated 15 March
with setup-timestamp: 1016041807 setup-version: 2.125.2.10,
and the new one in the mirror subdirectory dated 20 March
with setup-timestamp: 1016560222 setup-version: 2.194.2.15.
Again this all looks ok, so why the complaint?  I tried
renaming the older setup.ini but this had no effect.

Here are excerpts from setup.log.  I'll send the whole
setup.log and setup.log.full, provide more details and/or
investigate further myself if this would be useful.

2002/03/20 13:12:33 Starting cygwin install, version 2.194.2.15
2002/03/20 13:12:33 Current Directory: F:\Download\Cygwin
2002/03/20 13:12:33 Command line parameters
2002/03/20 13:12:33 0 - 'F:\Download\Cygwin\setup.exe'
2002/03/20 13:12:33 1 parameters passed
2002/03/20 13:12:47 source: download
2002/03/20 13:12:49 Selected local directory: F:\Download\Cygwin
2002/03/20 13:12:50 net: Direct
2002/03/20 13:13:07 site:
http://programming.ccp14.ac.uk/ftp-mirror/programming/cygwin/pub/cygwin
2002/03/20 13:13:28 Downloaded
F:\Download\Cygwin/http%3a%2f%2fprogramming.ccp14.ac.uk%2fftp-mirror%2fprogrammi
ng%2fcygwin%2fpub%2fcygwin/latest/autoconf/autoconf-2.53-1.tar.bz2
2002/03/20 13:13:38 Downloaded
F:\Download\Cygwin/http%3a%2f%2fprogramming.ccp14.ac.uk%2fftp-mirror%2fprogrammi
ng%2fcygwin%2fpub%2fcygwin/latest/automake/automake-devel/automake-devel-1.5-5.t
ar.bz2
2002/03/20 13:13:55 Downloaded
F:\Download\Cygwin/http%3a%2f%2fprogramming.ccp14.ac.uk%2fftp-mirror%2fprogrammi
ng%2fcygwin%2fpub%2fcygwin/contrib/curl/curl-7.9.5-1.tar.bz2
2002/03/20 13:13:58 Downloaded
F:\Download\Cygwin/http%3a%2f%2fprogramming.ccp14.ac.uk%2fftp-mirror%2fprogrammi
ng%2fcygwin%2fpub%2fcygwin/contrib/cygutils/cygutils-1.0.0-1.tar.bz2
2002/03/20 13:13:59 Downloaded
F:\Download\Cygwin/http%3a%2f%2fprogramming.ccp14.ac.uk%2fftp-mirror%2fprogrammi
ng%2fcygwin%2fpub%2fcygwin/contrib/popt/popt-1.6.2-1.tar.bz2
2002/03/20 13:14:03 Downloaded
F:\Download\Cygwin/http%3a%2f%2fprogramming.ccp14.ac.uk%2fftp-mirror%2fprogrammi
ng%2fcygwin%2fpub%2fcygwin/contrib/rsync/rsync-2.5.4-1.tar.bz2
2002/03/20 13:14:03 mbox note: Download Complete
2002/03/20 13:14:08 Ending cygwin install
2002/03/20 13:16:38 Starting cygwin install, version 2.194.2.15
2002/03/20 13:16:38 Current Directory: F:\Download\Cygwin
2002/03/20 13:16:38 Command line parameters
2002/03/20 13:16:38 0 - 'F:\Download\Cygwin\setup.exe'
2002/03/20 13:16:38 1 parameters passed
2002/03/20 13:16:44 source: download
2002/03/20 13:16:48 Selected local directory: F:\Download\Cygwin
2002/03/20 13:16:49 net: Direct
2002/03/20 13:16:52 site:
http://programming.ccp14.ac.uk/ftp-mirror/programming/cygwin/pub/cygwin
2002/03/20 13:17:07 Downloaded
F:\Download\Cygwin/http%3a%2f%2fprogramming.ccp14.ac.uk%2fftp-mirror%2fprogrammi
ng%2fcygwin%2fpub%2fcygwin/latest/autoconf/autoconf-2.53-1.tar.bz2
2002/03/20 13:17:17 Downloaded
F:\Download\Cygwin/http%3a%2f%2fprogramming.ccp14.ac.uk%2fftp-mirror%2fprogrammi
ng%2fcygwin%2fpub%2fcygwin/latest/automake/automake-devel/automake-devel-1.5-5.t
ar.bz2
2002/03/20 13:17:41 Downloaded
F:\Download\Cygwin/http%3a%2f%2fprogramming.ccp14.ac.uk%2fftp-mirror%2fprogrammi
ng%2fcygwin%2fpub%2fcygwin/contrib/curl/curl-7.9.5-1.tar.bz2
2002/03/20 13:17:47 Downloaded
F:\Download\Cygwin/http%3a%2f%2fprogramming.ccp14.ac.uk%2fftp-mirror%2fprogrammi
ng%2fcygwin%2fpub%2fcygwin/contrib/cygutils/cygutils-1.0.0-1.tar.bz2
2002/03/20 13:17:51 Downloaded
F:\Download\Cygwin/http%3a%2f%2fprogramming.ccp14.ac.uk%2fftp-mirror%2fprogrammi
ng%2fcygwin%2fpub%2fcygwin/contrib/popt/popt-1.6.2-1.tar.bz2
2002/03/20 13:17:55 Downloaded
F:\Download\Cygwin/http%3a%2f%2fprogramming.ccp14.ac.uk%2fftp-mirror%2fprogrammi
ng%2fcygwin%2fpub%2fcygwin/contrib/rsync/rsync-2.5.4-1.tar.bz2
2002/03/20 13:17:56 mbox note: Download Complete
2002/03/20 13:17:58 Ending cygwin install

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/